import Vue from 'vue';
import Router from 'vue-router';
import tab from 'components/tab';
import Login from  '@/pages/login/Login';
import Layout from  '@/pages/layout/Layout';
Vue.use(Router)

const router = new Router({
  // mode: 'history',
  // base: process.env.BASE_URL,
  routes: [
    {
      path: '/login',
      name:'login',
      component: Login,
    },
    {
      path: '/',
      name:'layout',
      component: Layout,
      redirect: '/login',
      hidden: true
    },
    {
      path: '/channel',
      component: Layout,
      children: [{
        path: 'index',
        name:'Channel',
        meta: { title: '渠道管理', url: '/channel/index' },
        component: () => import('@/pages/channel/Channel'),
      }]
    },
    {
      path: '/course',
      component: Layout,
      children: [{
        path: 'index',
        name:'Course',
        meta: { title: '课程管理', url: '/course/index' },
        component: () => import('@/pages/course/Course'),
      }]
    },
    {
      path: '/relation',
      component: Layout,
      children: [{
        path: 'index',
        name:'Relation',
        meta: { title: '渠道课程管理', url: '/relation/index' },
        component: () => import('@/pages/relation/Relation'),
      }]
    },
    {
      path: '/order',
      component: Layout,
      children: [{
        path: 'index',
        name:'Order',
        meta: { title: '渠道课程管理', url: '/order/index' },
        component: () => import('@/pages/order/Order'),
      }]
    },
    {
      path: '/operation',
      component: Layout,
      children: [{
        path: 'index',
        name:'Operation',
        meta: { title: '渠道课程管理', url: '/operation/index' },
        component: () => import('@/pages/operation/Operation'),
      }]
    }
  ]
})

export default router
